# Uses of Interface
org.jmol.api.GenericGraphics

Packages that use GenericGraphics
Package
Description
jspecview.common
jspecview.java
jspecview.js2d
org.jmol.awt
org.jmol.awtjs2d

## Uses of GenericGraphics in jspecview.common

Classes in jspecview.common that implement GenericGraphics
Modifier and Type
Class
Description
`class`
`PDFWriter`
A class that creates the PDF document specific to JSpecView using javajs.export.PDFCreator.
Fields in jspecview.common declared as GenericGraphics
Modifier and Type
Field
Description
`GenericGraphics`
JSViewer.`g2d`
`GenericGraphics`
PanelData.`g2d`
`GenericGraphics`
PanelData.`g2d0`
Methods in jspecview.common with parameters of type GenericGraphics
Modifier and Type
Method
Description
`static Annotation`
Annotation.`getColoredAnnotation(GenericGraphics g2d, Spectrum spec, Lst<String> args, Annotation lastAnnotation)`
`void`
PanelData.`printPdf(GenericGraphics pdfCreator, PrintLayout pl)`
from jspecview.export.PDFCreator -- does not use iText --

## Uses of GenericGraphics in jspecview.java

Classes in jspecview.java that implement GenericGraphics
Modifier and Type
Class
Description
`class`
`AwtG2D`
generic 2D drawing methods -- AWT version

## Uses of GenericGraphics in jspecview.js2d

Classes in jspecview.js2d that implement GenericGraphics
Modifier and Type
Class
Description
`class`
`JsG2D`
generic 2D drawing methods for JSpecView -- JavaScript version

## Uses of GenericGraphics in org.jmol.awt

Classes in org.jmol.awt that implement GenericGraphics
Modifier and Type
Class
Description
`class`
`AwtG2D`
generic 2D drawing methods -- AWT version

## Uses of GenericGraphics in org.jmol.awtjs2d

Classes in org.jmol.awtjs2d that implement GenericGraphics
Modifier and Type
Class
Description
`class`
`JsG2D`
generic 2D drawing methods -- JavaScript version